%define blurb Bacula - It comes by night and sucks the vital essence from your computers.

Summary:	Bacula Documentation
Name:		bacula-docs
Version:	2.4.3
Release:	%mkrel 2
Epoch:		1
Group:		Books/Other
License:	GPL
URL:		http://www.bacula.org/
Source0:	http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		bacula-docs-languages_fix.diff
BuildRequires:  ghostscript-dvipdf
BuildRequires:  tetex-latex
BuildRequires:  latex2html
BuildRequires:  tetex-dvipdfm
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
%{blurb}
Bacula is a set of computer programs that permit you (or the system
administrator) to manage backup, recovery, and verification of computer
data across a network of computers of different kinds. In technical terms,
it is a network client/server based backup program. Bacula is relatively
easy to use and efficient, while offering many advanced storage management
features that make it easy to find and recover lost or damaged files.

This package contains the documentation for Bacula.

%package -n	bacula-doc-en
Summary:	Bacula English Documentation in the HTML format
Group:		Books/Other

%description -n	bacula-doc-en
%{blurb}
Bacula is a set of computer programs that permit you (or the system
administrator) to manage backup, recovery, and verification of computercontains
data across a network of computers of different kinds. In technical terms,
it is a network client/server based backup program. Bacula is relatively
easy to use and efficient, while offering many advanced storage management
features that make it easy to find and recover lost or damaged files.

Contains the english manual.

%package -n	bacula-doc-de
Summary:	Bacula Deutsch Documentation in the HTML format
Group:		Books/Other

%description -n	bacula-doc-de
%{blurb}
Bacula is a set of computer programs that permit you (or the system
administrator) to manage backup, recovery, and verification of computer
data across a network of computers of different kinds. In technical terms,
it is a network client/server based backup program. Bacula is relatively
easy to use and efficient, while offering many advanced storage management
features that make it easy to find and recover lost or damaged files.

Contains the deutsch manual.

%package -n	bacula-doc-fr
Summary:	Bacula French Documentation in the HTML format
Group:		Books/Other

%description -n	bacula-doc-fr
%{blurb}
Bacula is a set of computer programs that permit you (or the system
administrator) to manage backup, recovery, and verification of computer
data across a network of computers of different kinds. In technical terms,
it is a network client/server based backup program. Bacula is relatively
easy to use and efficient, while offering many advanced storage management
features that make it easy to find and recover lost or damaged files.

Contains the french manual.

%package -n	bacula-doc-web
Summary:	Bacula Web Documentation in the HTML format
Group:		Books/Other

%description -n	bacula-doc-web
%{blurb}
Bacula is a set of computer programs that permit you (or the system
administrator) to manage backup, recovery, and verification of computer
data across a network of computers of different kinds. In technical terms,
it is a network client/server based backup program. Bacula is relatively
easy to use and efficient, while offering many advanced storage management
features that make it easy to find and recover lost or damaged files.

Contains the bacula-web documentation

%package -n	bacula-doc-dev
Summary:	Bacula Developer Documentation in the HTML format
Group:		Books/Other

%description -n	bacula-doc-dev
%{blurb}
Bacula is a set of computer programs that permit you (or the system
administrator) to manage backup, recovery, and verification of computer
data across a network of computers of different kinds. In technical terms,
it is a network client/server based backup program. Bacula is relatively
easy to use and efficient, while offering many advanced storage management
features that make it easy to find and recover lost or damaged files.

Contains the developer documentation

%prep

%setup -q
%patch0 -p0 -b .makedoc

mkdir src
cat > src/version.h << EOF
#undef  VERSION
#define VERSION "%{version}"
#define BDATE   "10 October 2008"
#define LSMDATE "10Oct08"
EOF
ln -s ../src manual/src

%build

%configure2_5x \
    --with-bacula=.
cp manual/bacula/imagename_translations manual-fr/imagename_translations
cp manual/bacula/imagename_translations manual-de/imagename_translations

make

%install
rm -rf %{buildroot}

%makeinstall
# sysconfdir=%{buildroot}%{_sysconfdir}/%{name} scriptdir=%{buildroot}%{_libexecdir}/%{name} working_dir=%{buildroot}%{_localstatedir}/lib/%{name}

install -d -m 0755 %{buildroot}/%{_defaultdocdir}/bacula-%{version}/developers
cp developers/*.{html,png} %{buildroot}/%{_defaultdocdir}/bacula-%{version}/developers/

# bacula-web doc install 
install -d -m 0755 %{buildroot}/%{_defaultdocdir}/bacula-%{version}/bacula-web
cp bacula-web/*.{html,png} %{buildroot}/%{_defaultdocdir}/bacula-%{version}/bacula-web/

# manual-fr doc install 
install -d -m 0755 %{buildroot}/%{_defaultdocdir}/bacula-%{version}/manual-fr
cp manual-fr/*.{html,png} %{buildroot}/%{_defaultdocdir}/bacula-%{version}/manual-fr/

# manual-de doc install 
install -d -m 0755 %{buildroot}/%{_defaultdocdir}/bacula-%{version}/manual-de
cp manual-de/*.{html,png} %{buildroot}/%{_defaultdocdir}/bacula-%{version}/manual-de/

# manual doc install 
install -d -m 0755 %{buildroot}/%{_defaultdocdir}/bacula-%{version}/manual-en
cp manual/*.{html,png} %{buildroot}/%{_defaultdocdir}/bacula-%{version}/manual-en/

%clean
rm -rf %{buildroot}

%files -n bacula-doc-web
%defattr(-, root, root)
%{_defaultdocdir}/bacula-%{version}/bacula-web/*.png
%{_defaultdocdir}/bacula-%{version}/bacula-web/*.html

%files -n bacula-doc-dev
%defattr(-, root, root)
%{_defaultdocdir}/bacula-%{version}/developers/*.png
%{_defaultdocdir}/bacula-%{version}/developers/*.html

%files -n bacula-doc-fr
%defattr(-, root, root)
%{_defaultdocdir}/bacula-%{version}/manual-fr/*.png
%{_defaultdocdir}/bacula-%{version}/manual-fr/*.html

%files -n bacula-doc-de
%defattr(-, root, root)
%{_defaultdocdir}/bacula-%{version}/manual-de/*.png
%{_defaultdocdir}/bacula-%{version}/manual-de/*.html

%files -n bacula-doc-en
%defattr(-, root, root)
%{_defaultdocdir}/bacula-%{version}/manual-en/*.png
%{_defaultdocdir}/bacula-%{version}/manual-en/*.html


%changelog
* Thu Sep 10 2009 Thierry Vignaud <tvignaud@mandriva.com> 1:2.4.3-2mdv2010.0
+ Revision: 436765
- rebuild

* Mon Oct 13 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.4.3-1mdv2009.1
+ Revision: 293185
- 2.4.3

* Sun Jul 27 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.4.2-1mdv2009.0
+ Revision: 250683
- 2.4.2

* Thu Jul 10 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.4.1-1mdv2009.0
+ Revision: 233357
- 2.4.1

* Sun Jun 08 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.4.0-1mdv2009.0
+ Revision: 216853
- 2.4.0

  + Pixel <pixel@mandriva.com>
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Fri May 16 2008 Oden Eriksson <oeriksson@mandriva.com> 1:2.2.8-1mdv2009.0
+ Revision: 208103
- 2.2.8
- rediffed P0
- fix rpm group

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 1:1.38.11-3mdv2008.1
+ Revision: 135828
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - fix URL


* Fri Dec 22 2006 Oden Eriksson <oeriksson@mandriva.com> 1.38.11-3mdv2007.0
+ Revision: 101483
- Import bacula-docs

* Sat Jul 08 2006 Oden Eriksson <oeriksson@mandriva.com> 1:1.38.11-3mdv2007.0
- 1.38.11 (broken out from bacula)

